[or-cvs] r12252: Updated stage build scripts to return with an error code if (in incognito/trunk: . arch/x86/overlay)

anonym at seul.org anonym at seul.org
Sun Oct 28 16:23:59 UTC 2007


Author: anonym
Date: 2007-10-28 12:23:59 -0400 (Sun, 28 Oct 2007)
New Revision: 12252

Modified:
   incognito/trunk/arch/x86/overlay/autorun.inf
   incognito/trunk/build-stage.sh
   incognito/trunk/livecd-stage2.sh
Log:
Updated stage build scripts to return with an error code if catalyst fails (good for scripts using them)
Added label and autoplay action to autorun.inf


Modified: incognito/trunk/arch/x86/overlay/autorun.inf
===================================================================
--- incognito/trunk/arch/x86/overlay/autorun.inf	2007-10-28 14:20:08 UTC (rev 12251)
+++ incognito/trunk/arch/x86/overlay/autorun.inf	2007-10-28 16:23:59 UTC (rev 12252)
@@ -1,3 +1,6 @@
 [autorun]
+label=Incognito
 open=run.bat
+action=Start Incognito in a virtual machine
 
+

Modified: incognito/trunk/build-stage.sh
===================================================================
--- incognito/trunk/build-stage.sh	2007-10-28 14:20:08 UTC (rev 12251)
+++ incognito/trunk/build-stage.sh	2007-10-28 16:23:59 UTC (rev 12252)
@@ -36,7 +36,12 @@
 [[ -x "/usr/bin/ionice" ]] && NICECMD="/usr/bin/ionice -c 3"
 [[ -x "/usr/bin/schedtool" ]] && NICECMD="/usr/bin/schedtool -B -n 8 -e ${NICECMD}"
 ${NICECMD} catalyst -f "${DIR}/stage.spec"
+CATALYST_STATUS=$?
 
 # Clean up
 rm -rf "${DIR}"
 
+if [[ ${CATALYST_STATUS} -ne 0 ]]; then
+	echo "Catalyst failed" >2
+	exit 1
+fi

Modified: incognito/trunk/livecd-stage2.sh
===================================================================
--- incognito/trunk/livecd-stage2.sh	2007-10-28 14:20:08 UTC (rev 12251)
+++ incognito/trunk/livecd-stage2.sh	2007-10-28 16:23:59 UTC (rev 12252)
@@ -127,7 +127,12 @@
 [[ -x "/usr/bin/ionice" ]] && NICECMD="/usr/bin/ionice -c 3"
 [[ -x "/usr/bin/schedtool" ]] && NICECMD="/usr/bin/schedtool -B -n 8 -e ${NICECMD}"
 ${NICECMD} catalyst -f "${DIR}/livecd-stage2.spec"
+CATALYST_STATUS=$?
 
 # Clean up
 rm -rf "${DIR}"
 
+if [[ ${CATALYST_STATUS} -ne 0 ]]; then
+	echo "Catalyst failed" >2
+	exit 1
+fi



More information about the tor-commits mailing list